Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519823 - 'ps' command mangles display of CLI args which contain certain unicode characters
Summary: 'ps' command mangles display of CLI args which contain certain unicode charac...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: procps-ng
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Rybar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 14:01 UTC by Daniel Berrange
Modified: 2018-11-30 21:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:57:49 UTC


Attachments (Terms of Use)
Screen capture showing mangled args from ps (deleted)
2017-12-01 14:01 UTC, Daniel Berrange
no flags Details
/proc/cmdline output passed through od -x -a to show raw bytes (deleted)
2017-12-01 14:06 UTC, Daniel Berrange
no flags Details
"ps -axuwf | head -300" output passed through od -x -a to show raw bytes (deleted)
2017-12-01 14:08 UTC, Daniel Berrange
no flags Details

Description Daniel Berrange 2017-12-01 14:01:15 UTC
Created attachment 1361607 [details]
Screen capture showing mangled args from ps

Description of problem:
I have a QEMU process whose name is

  "☁→❄→⛄→🌞→😃→☔→😢→⚰️ "

In /proc/$PID/cmdline this unicode name is captured correctly in the process ARGV, and if I 'cat /proc/$PID/cmdline' the name renders correctly in GNOME terminal.

If I use the 'ps' command to see process arguments, however, the snowman and the coffin characters are mangled in the output from 'ps'. Given /proc/$PID/cmdline contains the correct data, this feels like a bug in the 'ps' command somewhere

Or maybe this is something in ps that's trying to avoid shell escape character interactions, perhaps being too pessimistic in its filtering.

Version-Release number of selected component (if applicable):
procps-ng-3.3.10-15.fc27.x86_64

How reproducible:
Sometimes

Steps to Reproduce:
1. Spawn a process with some command line args containing  "☁→❄→⛄→🌞→😃→☔→😢→⚰️ "

2. Run "cat /proc/$PID/cmdline" to verify args display correctly
3. Run 'ps -axuwf'

Actual results:
'ps' mangles the snowman and coffin

Expected results:
'ps' displays args exactly as they are in /proc/$PID/cmdline

Additional info:

Comment 1 Daniel Berrange 2017-12-01 14:06:13 UTC
Created attachment 1361612 [details]
/proc/cmdline output passed through  od -x -a to show raw bytes

Comment 2 Daniel Berrange 2017-12-01 14:08:32 UTC
Created attachment 1361624 [details]
"ps -axuwf | head -300" output passed through  od -x -a to show raw bytes

Comment 3 Ben Cotton 2018-11-27 15:13:02 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 21:57:49 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.